summaryrefslogtreecommitdiff
blob: d9bb49684f87fce8252641d78864bf010f470d0d (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE glsa SYSTEM "http://www.gentoo.org/dtd/glsa.dtd">
<glsa id="200409-28">
  <title>GTK+ 2, gdk-pixbuf: Multiple image decoding vulnerabilities</title>
  <synopsis>
    The GdkPixbuf library, which is also included in GTK+ 2, contains several
    vulnerabilities that could lead to a Denial of Service or the execution of
    arbitrary code.
  </synopsis>
  <product type="ebuild">gtk+</product>
  <announced>2004-09-21</announced>
  <revised>2004-09-21: 01</revised>
  <bug>64230</bug>
  <access>remote</access>
  <affected>
    <package name="x11-libs/gtk+" auto="yes" arch="*">
      <unaffected range="ge">2.4.9-r1</unaffected>
      <unaffected range="lt">2.0.0</unaffected>
      <vulnerable range="lt">2.4.9-r1</vulnerable>
    </package>
    <package name="media-libs/gdk-pixbuf" auto="yes" arch="*">
      <unaffected range="ge">0.22.0-r3</unaffected>
      <vulnerable range="lt">0.22.0-r3</vulnerable>
    </package>
  </affected>
  <background>
    <p>
    GTK+ (GIMP Toolkit +) is a toolkit for creating graphical user interfaces.
    The GdkPixbuf library provides facilities for image handling. It is
    available as a standalone library as well as shipped with GTK+ 2.
    </p>
  </background>
  <description>
    <p>
    A vulnerability has been discovered in the BMP image preprocessor
    (CAN-2004-0753). Furthermore, Chris Evans found a possible integer overflow
    in the pixbuf_create_from_xpm() function, resulting in a heap overflow
    (CAN-2004-0782). He also found a potential stack-based buffer overflow in
    the xpm_extract_color() function (CAN-2004-0783). A possible integer
    overflow has also been found in the ICO decoder.
    </p>
  </description>
  <impact type="normal">
    <p>
    With a specially crafted BMP image an attacker could cause an affected
    application to enter an infinite loop when that image is being processed.
    Also, by making use of specially crafted XPM or ICO images an attacker
    could trigger the overflows, which potentially allows the execution of
    arbitrary code.
    </p>
  </impact>
  <workaround>
    <p>
    There is no known workaround at this time.
    </p>
  </workaround>
  <resolution>
    <p>
    All GTK+ 2 users should upgrade to the latest version:
    </p>
    <code>
    # emerge sync

    # emerge -pv "&gt;=x11-libs/gtk+-2.4.9-r1"
    # emerge "&gt;=x11-libs/gtk+-2.4.9-r1"</code>
    <p>
    All GdkPixbuf users should upgrade to the latest version:
    </p>
    <code>
    # emerge sync

    # emerge -pv "&gt;=media-libs/gdk-pixbuf-0.22.0-r3"
    # emerge "&gt;=media-libs/gdk-pixbuf-0.22.0-r3"</code>
  </resolution>
  <references>
    <uri link="https://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0753">CAN-2004-0753</uri>
    <uri link="https://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0782">CAN-2004-0782</uri>
    <uri link="https://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0783">CAN-2004-0783</uri>
    <uri link="https://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0788">CAN-2004-0788</uri>
    <uri link="https://bugzilla.gnome.org/show_bug.cgi?id=150601">GNOME Bug 150601</uri>
  </references>
  <metadata tag="requester" timestamp="2004-09-20T06:35:32Z">
    jaervosz
  </metadata>
  <metadata tag="bugReady" timestamp="2004-09-21T11:29:51Z">
    koon
  </metadata>
  <metadata tag="submitter" timestamp="2004-09-21T13:51:30Z">
    vorlon078
  </metadata>
</glsa>